<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<script src="js/script.js"></script>
</body>
</html>

<!--Циклы в програмированнии нужны для многократного повторения куска кода. К примеру, для выведения ряда чисел, валидации данных-->
<!--Let и const отличаются от var областю видимости и видны только после своего объявления.  Let & const видны только в пределах блока,
а var ограничена только границами функции, то есть var, объявленная в цикле, будет видна за пределами данного цикла-->
<!--В ES6 используются переменные let и const. Так же var, объявленная в цикле, будет видна за пределами данного цикла,
что заставляет для каждого цикла придумывать другие переменные, в ином случае возможны проблемы с презаписыванием переменных.
Let & const таких проблем лишены-->